/* HTML/CSS W2 Project
* Work in pairs
* Mark up your content with semantic html
* Lay out your page using flexbox and grid
* Test your work with Devtools.
* You can get pictures and choose custom size in the download at
* https://www.pexels.com/ 
* If you want to use a different font, get them from
* https://fonts.google.com/
*/

/* Testing your work 
== check your CSS
* uses grid
* uses flexbox
* uses at least one media query

== check your HTML
* uses semantic HTML
* has a Lighthouse Access score of 100 <-- 
* works on desktop and mobile
* works when you size the text up by 200%

== check your design
* follows the example
* you can choose your own colours and fonts if you like
* write your names at the bottom
* take a screenshot at laptop and Moto G4 device sizes in Devtools
*/

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;500;700&display=swap");

:root {
  --primary-color: #82977a;
  --secondary-color: #d9ead3;
  --text-color: #333333;
  --text-font: "Poppins", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: var(--primary-color);
  width: 100%;
  max-width: 100%;
  margin: 0 auto;
}

h1,
h2,
h3,
p,
a,
li {
  margin: 0;
  font-family: var(--text-font);
  color: var(--text-color);
}

img {
  width: 7.25rem;
  height: 6.25rem;
}

header,
footer {
  text-align: center;
  padding: 3rem 0 1.5rem;
}

.container {
  padding: 0 1.5rem 0;
}

.content {
  background-color: var(--secondary-color);
  margin: 1rem 0 2rem;
  padding: 1.5rem;
}

.content-header {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
  margin-bottom: 2rem;
}

.content-header-title {
  font-weight: 500;
  font-size: 1.5rem;
}

.content-body {
  padding: 0 1rem;
  font-size: 1.15rem;
  line-height: 1.5rem;
  text-align: left;
}

.content-body li {
  margin-bottom: 0.8rem;
  font-size: 0.95rem;
  line-height: 1.3rem;
}

@media screen and (min-width: 768px) {
  .container {
    padding: 0 3rem 0;
    display: flex;
    align-items: center;
    gap: 2rem;
  }

  .content {
    margin: 2rem auto;
    width: 26.25rem;
    height: 20rem;
  }

  footer {
    position: absolute;
    width: 100%;
    bottom: 0;
    padding-bottom: 2rem;
  }
}
